com.pixelmed.apps

## Class UIDMapByMatchingPixelData

- java.lang.Object
- - com.pixelmed.apps.UIDMapByMatchingPixelData

    public class UIDMapByMatchingPixelData
    extends java.lang.Object

A class to identify duplicate images based on having the same pixel data hash and constructing collections of their duplicate Study, Series, SOP Instance and Frame of Reference UIDs.

### Nested Class Summary

Nested Classes
`protected class` `UIDMapByMatchingPixelData.OurMediaImporter`

### Constructor Summary

Constructors
Constructor and Description
`UIDMapByMatchingPixelData(java.lang.String[] srcs)` Identify different UIDs of duplicate images by using a hash of pixel data values.

### Method Summary

Methods
`java.util.Collection<java.util.List<java.lang.String>>` `getDuplicateFrameOfReferenceUIDs()`
`java.util.Collection<java.util.List<java.lang.String>>` `getDuplicateSeriesInstanceUIDs()`
`java.util.Collection<java.util.List<java.lang.String>>` `getDuplicateSOPInstanceUIDs()`
`java.util.Collection<java.util.List<java.lang.String>>` `getDuplicateStudyInstanceUIDs()`
`static void` `main(java.lang.String[] arg)` Identify different UIDs of duplicate images by using a hash of pixel data values.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UIDMapByMatchingPixelData

    public UIDMapByMatchingPixelData(java.lang.String[] srcs)
                              throws java.io.IOException,
                                     DicomException

Identify different UIDs of duplicate images by using a hash of pixel data values.

Parameters:
  `srcs` - one or more source folders or DICOMDIRs
Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### getDuplicateStudyInstanceUIDs

    public java.util.Collection<java.util.List<java.lang.String>> getDuplicateStudyInstanceUIDs()

#### getDuplicateSeriesInstanceUIDs

    public java.util.Collection<java.util.List<java.lang.String>> getDuplicateSeriesInstanceUIDs()

#### getDuplicateSOPInstanceUIDs

    public java.util.Collection<java.util.List<java.lang.String>> getDuplicateSOPInstanceUIDs()

#### getDuplicateFrameOfReferenceUIDs

    public java.util.Collection<java.util.List<java.lang.String>> getDuplicateFrameOfReferenceUIDs()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### main

    public static void main(java.lang.String[] arg)

Identify different UIDs of duplicate images by using a hash of pixel data values.

The duplicate UIDs will be listed in the order in which they are encountered, so if one UID is the canonical UID to which the others are to be matched, order the input paths accordingly.

Parameters:
  `arg` - one or more source folders or DICOMDIRs